Summary:	Rules for udev to give regular users access to operate 3D printers
Name:		3dprinter-udev-rules
Version:	0.2.1
Release:	1
License:	CC0
Group:		System/Configuration/Printing
Url:		https://github.com/hroncok/%{name}
Source0:	%{url}/archive/v%{version}.tar.gz
Requires(post,postun):	systemd-units
BuildArch:	noarch

%description
Normally, when you connect a RepRap like 3D printer to a Linux machine by an
USB cable, you need to be in dialout or similar group to be able to control
it via OctoPrint, Printrun, Cura or any other control software. Not any more.

Install this rule to grant all users read and write access to collected
devices based on the VID and PID.

Disclaimer: Such device might not be a 3D printer, it my be an Arduino, it
might be a modem and it might even be a blender. But normally you would
add your user to dialout and get access to all of those and more anyway.
So I guess be careful when some of the users should not get access to
your blenders.

%files
%doc LICENSE README.md
%{_udevrulesdir}/66-3dprinter.rules

%post
%udev_rules_update

%postun
%udev_rules_update

#----------------------------------------------------------------------------

%prep
%setup -q

%build
# nothing

%install
install -D -p -m 644 66-3dprinter.rules %{buildroot}%{_udevrulesdir}/66-3dprinter.rules


%changelog

* Sun Feb 11 2018 Rosa <rosa@abf.rosalinux.ru> 0.2.1-1
- (7b14065) Automatic import for version 0.2.1-1


